Printago API
POST /v1/maintenance/items

Create maintenance item

Create a new maintenance item

Requires: maintenance.create

Request Body

MaintenanceItemInsert
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
intervalrequired
number
isSystemDefaultrequired
boolean
namerequired
string
notesrequired
string
triggerTyperequired
any
warningThresholdPctrequired
number

Example Request

application/json
{
  "name": "string",
  "customMetadata": {},
  "interval": 1,
  "warningThresholdPct": 1,
  "isSystemDefault": true
}

Response Schema

MaintenanceItem
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
string
pattern: ^[a-z0-9]{24}$
intervalrequired
number
isSystemDefaultrequired
boolean
namerequired
string
notesrequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
triggerTyperequired
any
updatedAtrequired
string
format: date-time
warningThresholdPctrequired
number

Example Response

201 OK — application/json
{
  "name": "string",
  "interval": 1,
  "warningThresholdPct": 1,
  "isSystemDefault": true,
  "customMetadata": {},
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-09-09T20:31:46.599Z",
  "updatedAt": "2026-09-09T20:31:46.599Z"
}